The preview page's content, as each channel will show the post
The preview page's content, as each channel will show the post (no credentials; the token is the key)
Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.
GET
token*stringThe preview link's token
OK
application/json- response
workspace*stringcontent*stringstatus*stringpublish_at*|Format
date-timepublished_at*|Format
date-timemedia*array<>thread*array<>targets*array<>comments*array<>expires_at*|Format
date-timecurl -X GET 'https://staqly.example.com/v1/previews/string'{ "workspace": "string", "content": "string", "status": "string", "publish_at": "2019-08-24T14:15:22Z", "published_at": "2019-08-24T14:15:22Z", "media": [ { "id": "string", "mime_type": "string" } ], "thread": [ { "content": "string", "media": [ { "id": "string", "mime_type": "string" } ], "delay_seconds": 0 } ], "targets": [ { "channel_id": "string", "channel_name": "string", "handle": "string", "avatar_url": "string", "provider": "string", "provider_name": "string", "content": "string", "status": "string", "external_url": "string", "published_at": "2019-08-24T14:15:22Z" } ], "comments": [ { "id": "string", "post_id": "string", "parent_id": "string", "author_name": "string", "author_email": "string", "author_kind": "reviewer", "body": "string", "quote": "string", "channel_id": "string", "part": 0, "anchor_start": 0, "anchor_end": 0, "text_changed": true, "resolved_at": "2019-08-24T14:15:22Z", "resolved_by": "string", "created_at": "2019-08-24T14:15:22Z" } ], "expires_at": "2019-08-24T14:15:22Z"}